Bug 1256700 - GetAchievedMilestones method does not return results for completed cases
GetAchievedMilestones method does not return results for completed cases
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium
: ER3
: 6.2.0
Assigned To: Kris Verlaenen
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 05:52 EDT by Ivo Bek
Modified: 2015-09-25 04:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Bek 2015-08-25 05:52:31 EDT
Description of problem:

After I terminate a case, the method getAchievedMilestones from CaseMgmtUtil throws exception on:

Could not find process instance 1
	at org.jbpm.casemgmt.CaseMgmtUtil.getProcessInstance(CaseMgmtUtil.java:130)
	at org.jbpm.casemgmt.CaseMgmtUtil.getAchievedMilestones(CaseMgmtUtil.java:358)
	at org.jbpm.test.functional.casemgmt.MilestoneCaseTest.testProcessCompleted(MilestoneCaseTest.java:35)

because the process instance is already gone.

I believe that the method should use ProcessInstanceLog to get the processId instead of ProcessInstance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Ivo Bek 2015-09-02 09:55:20 EDT
Pull request https://github.com/droolsjbpm/jbpm/pull/300
Comment 4 Kris Verlaenen 2015-09-03 09:09:19 EDT
http://github.com/droolsjbpm/jbpm/commit/261fd61d8
Comment 5 Ivo Bek 2015-09-25 04:50:15 EDT
Verified in BPM Suite 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.